Loading...
Searching...
No Matches
version_major.h File Reference
libavformat

Libavformat version macros. More...

Go to the source code of this file.

## Macros

#define | LIBAVFORMAT_VERSION_MAJOR 62
#define | FF_API_COMPUTE_PKT_FIELDS2 (LIBAVFORMAT_VERSION_MAJOR < 63)
| FF_API_* defines may be placed below to indicate public API that will be dropped at a future version bump.
#define | FF_API_INTERNAL_TIMING (LIBAVFORMAT_VERSION_MAJOR < 63)
#define | FF_API_NO_DEFAULT_TLS_VERIFY (LIBAVFORMAT_VERSION_MAJOR < 63)
#define | FF_API_R_FRAME_RATE 1

## Detailed Description

Libavformat version macros.

Definition in file version_major.h.

## Macro Definition Documentation

## LIBAVFORMAT_VERSION_MAJOR

#define LIBAVFORMAT_VERSION_MAJOR 62

Definition at line 32 of file version_major.h.

## FF_API_COMPUTE_PKT_FIELDS2

#define FF_API_COMPUTE_PKT_FIELDS2 (LIBAVFORMAT_VERSION_MAJOR < 63)

FF_API_* defines may be placed below to indicate public API that will be dropped at a future version bump.

The defines themselves are not part of the public API and may change, break or disappear at any time.

Note
  , when bumping the major version it is recommended to manually disable each FF_API_* in its own commit instead of disabling them all at once through the bump. This improves the git bisect-ability of the change.

Definition at line 44 of file version_major.h.

## FF_API_INTERNAL_TIMING

#define FF_API_INTERNAL_TIMING (LIBAVFORMAT_VERSION_MAJOR < 63)

Definition at line 46 of file version_major.h.

## FF_API_NO_DEFAULT_TLS_VERIFY

#define FF_API_NO_DEFAULT_TLS_VERIFY (LIBAVFORMAT_VERSION_MAJOR < 63)

Definition at line 48 of file version_major.h.

## FF_API_R_FRAME_RATE

#define FF_API_R_FRAME_RATE 1

Definition at line 50 of file version_major.h.